Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job
Class JobHopMeta

    java.lang.Object
      org.pentaho.di.job.JobHopMeta

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.xml.XMLInterface

    public class JobHopMeta

extends Object
implements Cloneable, org.pentaho.di.core.xml.XMLInterface

This class defines a hop from one job entry copy to another.

Since:
  19-06-2003
Author:
  Matt

Field Summary
`JobEntryCopy` | `from_entry`
`JobEntryCopy` | `to_entry`

Constructor Summary
`JobHopMeta()`
`JobHopMeta(JobEntryCopy from, JobEntryCopy to)`
`JobHopMeta(Node hopnode, JobMeta job)`
`JobHopMeta(Repository rep, long id_job_hop, JobMeta job, List<JobEntryCopy> jobcopies)`

Method Summary
`Object` | `clone()`
`String` | `getDescription()`
`boolean` | `getEvaluation()`
`long` | `getID()`
`String` | `getXML()`
`boolean` | `hasChanged()`
`boolean` | `isEnabled()`
`boolean` | `isSplit()`
`boolean` | `isUnconditional()`
`void` | `saveRep(Repository rep, long id_job)`
`void` | `setChanged()`
`void` | `setChanged(boolean ch)`
`void` | `setConditional()`
`void` | `setEnabled()`
`void` | `setEnabled(boolean en)`
`void` | `setEvaluation()`
`void` | `setEvaluation(boolean e)`
`void` | `setID(long id)`
`void` | `setSplit(boolean split)`
`void` | `setUnconditional()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### from_entry

    public JobEntryCopy from_entry

### to_entry

    public JobEntryCopy to_entry

Constructor Detail

### JobHopMeta

    public JobHopMeta()

### JobHopMeta

    public JobHopMeta(JobEntryCopy from,
                      JobEntryCopy to)

### JobHopMeta

    public JobHopMeta(Node hopnode,
                      JobMeta job)
               throws org.pentaho.di.core.exception.KettleXMLException

Throws:
  `org.pentaho.di.core.exception.KettleXMLException`

### JobHopMeta

    public JobHopMeta(Repository rep,
                      long id_job_hop,
                      JobMeta job,
                      List<JobEntryCopy> jobcopies)
               throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `org.pentaho.di.core.xml.XMLInterface`

### saveRep

    public void saveRep(Repository rep,
                        long id_job)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### setID

    public void setID(long id)

### getID

    public long getID()

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### setChanged

    public void setChanged()

### setChanged

    public void setChanged(boolean ch)

### hasChanged

    public boolean hasChanged()

### setEnabled

    public void setEnabled()

### setEnabled

    public void setEnabled(boolean en)

### isEnabled

    public boolean isEnabled()

### getEvaluation

    public boolean getEvaluation()

### setEvaluation

    public void setEvaluation()

### setEvaluation

    public void setEvaluation(boolean e)

### setUnconditional

    public void setUnconditional()

### setConditional

    public void setConditional()

### isUnconditional

    public boolean isUnconditional()

### setSplit

    public void setSplit(boolean split)

### isSplit

    public boolean isSplit()

### getDescription

    public String getDescription()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD